FreeMat

- Main Page
- Related Pages

vtkIcicleView

Section: Visualization Toolkit View Classes

# Usage

vtkIcicleView shows a vtkTree in horizontal layers where each vertex in the tree is represented by a bar. Child sectors are below (or above) parent sectors, and may be colored and sized by various parameters.

To create an instance of class vtkIcicleView, simply invoke its constructor as follows

      obj = vtkIcicleView

# Methods

The class vtkIcicleView has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkIcicleView class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkIcicleView = obj.NewInstance ()`
- `vtkIcicleView = obj.SafeDownCast (vtkObject o)`
- `obj.SetTopToBottom (bool value)` - Sets whether the stacks go from top to bottom or bottom to top.
- `bool = obj.GetTopToBottom ()` - Sets whether the stacks go from top to bottom or bottom to top.
- `obj.TopToBottomOn ()` - Sets whether the stacks go from top to bottom or bottom to top.
- `obj.TopToBottomOff ()` - Sets whether the stacks go from top to bottom or bottom to top.
- `obj.SetRootWidth (double width)` - Set the width of the root node
- `double = obj.GetRootWidth ()` - Set the width of the root node
- `obj.SetLayerThickness (double thickness)` - Set the thickness of each layer
- `double = obj.GetLayerThickness ()` - Set the thickness of each layer
- `obj.SetUseGradientColoring (bool value)` - Turn on/off gradient coloring.
- `bool = obj.GetUseGradientColoring ()` - Turn on/off gradient coloring.
- `obj.UseGradientColoringOn ()` - Turn on/off gradient coloring.
- `obj.UseGradientColoringOff ()` - Turn on/off gradient coloring.